org.apache.olingo.odata2.api.ep.callback

## Class WriteFeedCallbackResult

- java.lang.Object
- - org.apache.olingo.odata2.api.ep.callback.WriteFeedCallbackResult

-     public class WriteFeedCallbackResult
      extends Object

  Result of a callback. It contains the data of the feed which is to be expanded as well as the BaseUri of the feed. Further callbacks for this feed can also be set.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WriteFeedCallbackResult()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Map<String,Object>>` | `getFeedData()`
    `EntityProviderWriteProperties` | `getInlineProperties()`
    `void` | `setFeedData(List<Map<String,Object>> feedData)` Sets the feed data as a list of maps.
    `void` | `setInlineProperties(EntityProviderWriteProperties inlineProperties)` Sets the properties for the inline data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WriteFeedCallbackResult

          public WriteFeedCallbackResult()

  - ### Method Detail

    - #### getInlineProperties

          public EntityProviderWriteProperties getInlineProperties()

      Returns:
        the inline provider properties

    - #### setInlineProperties

          public void setInlineProperties(EntityProviderWriteProperties inlineProperties)

      Sets the properties for the inline data. MUST NOT BE NULL.
      Parameters:
        `inlineProperties` -

    - #### getFeedData

          public List<Map<String,Object>> getFeedData()

      Returns:
        the feed data as a list of maps

    - #### setFeedData

          public void setFeedData(List<Map<String,Object>> feedData)

      Sets the feed data as a list of maps.
      Parameters:
        `feedData` -

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.